org.apache.ignite.internal.commandline.cache.reset_lost_partitions

## Class CacheResetLostPartitionsTaskResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.commandline.cache.reset_lost_partitions.CacheResetLostPartitionsTaskResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class CacheResetLostPartitionsTaskResult
    extends VisorDataTransferObject

Result of CacheResetLostPartitionsTask

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`CacheResetLostPartitionsTaskResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,String>` `getMessageMap()`
`void` `print(PrintStream out)` Print job result.
`String` `put(String groupName, String message)`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`void` `setMessageMap(Map<String,String> messageMap)`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheResetLostPartitionsTaskResult

    public CacheResetLostPartitionsTaskResult()

### Method Detail

#### put

    public String put(String groupName,
                      String message)

Parameters:
  `groupName` - - Cache group name.
  `message` - - Job result message.
Returns:
  the previous value associated with `key`, or `null`

#### print

    public void print(PrintStream out)

Print job result.

Parameters:
  `out` - Print stream.

#### getMessageMap

    public Map<String,String> getMessageMap()

#### setMessageMap

    public void setMessageMap(Map<String,String> messageMap)

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018